Bug Hunting Session
Bug 91577 - CRASH: when "Report Builder" closed
Summary: CRASH: when "Report Builder" closed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-24 13:52 UTC by sawakaze
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
error report (80.27 KB, text/x-log)
2015-05-24 13:52 UTC, sawakaze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-05-24 13:52:39 UTC
Created attachment 115967 [details]
error report

Hi 

After following step, crash libreoffice BASE.
1. Open report builder.
2. "File > Close"
--> Crash libreoffice BASE 

attachment is error report

env.
OS : Linux
Desktop : MATE
Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
[reply] [−] Comment 1
Comment 1 Julien Nabet 2015-05-24 20:54:04 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
I noticed these console logs:
warn:legacy.osl:4192:1:xmloff/source/style/xmlimppr.cxx:678: Exception caught; style may not be imported correctly.
warn:legacy.osl:4192:1:xmloff/source/core/xmlerror.cxx:181: An error or a warning has occurred during XML import/export!
Error-Id: 0x20040001
    Flags: 2 ERROR
    Class: 4 API
    Number: 1
Parameters:
    0: FooterBackGraphicURL
Exception-Message: The given value cannot be converted to the required property type.
(property name "FooterBackGraphicURL", found value type "void", required property type "string")
Position:
    Public Identifier: 
    System Identifier: 
    Row, Column: 25,2

warn:legacy.osl:4192:1:dbaccess/source/ui/browser/genericcontroller.cxx:1258: SbaTableQueryBrowser::openHelpAgent: could not get a dispatcher!
warn:legacy.osl:4192:1:vcl/source/window/window.cxx:271: Window ( 11SplitWindow ()) with live children destroyed:  N5rptui19OScrollWindowHelperE ()
Comment 2 Michael Meeks 2015-05-25 20:22:47 UTC
Thanks for the report; a lot of bad std::unique_ptr replacements there. I have a prototype fix here; just testing ... Noel - it might pay to go back and audit for std::unique_ptr in some of the fixes there there was a lot of:

6d0c89123f353aed80d3a8a08ef5cd1ffaa1eea9

had a good few:

-        ::std::unique_ptr<vcl::Window> aTemp2(m_pPropWin);
-        m_pPropWin = NULL;

which should have been disposeAndClear()'s =)
Comment 3 Michael Meeks 2015-05-25 20:31:03 UTC
Fixed; thanks for the report ! =)
Comment 4 Commit Notification 2015-05-25 20:32:30 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0618863375a1fab6d1c9376f161c5305c32163c3

tdf#91577 - fix unique_ptr conversion bugs in reportdesign.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-05-26 06:55:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2704d45a58b5a0f1cd8103d143f8c2059f70dfea

tdf#91577 - CRASH: when "Report Builder" closed

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-05-26 13:01:09 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dc00c7372a334bce7373cbdcd5a888cc4b37cd3&h=libreoffice-5-0

tdf#91577 - fix unique_ptr conversion bugs in reportdesign.

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-28 08:50:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50f15139ddb7750792f636fe6e6445238b36129c&h=libreoffice-5-0

tdf#91577 - CRASH: when "Report Builder" closed

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2015-05-29 21:43:54 UTC
I don't reproduce the crash with master sources updated today
=>VERIFIED